On this page
No Headings
Last updated: June 18, 2026
For increased flexibility when obtaining payments from buyers, you can update an existing order. Updating orders allows you to:
Complete the steps in Get started to get the following sandbox account information from the Developer Dashboard:
This feature modifies an existing PayPal Checkout or Expanded Checkout integration and uses the following:
You can use Postman to explore and test PayPal APIs. Learn more in our Postman guide.
If you update the final amount of the order after the payer approves the payment, or update other amount fields, such as shipping or tax, show a Continue button during checkout instead of a Pay Now button. A Continue button indicates to the payer that the amount or other details might change before they complete the order.
To show a Continue button, add commit=false in the script tag as shown in the following example:
<script src="https://www.paypal.com/sdk/js?client-id=CLIENT-ID&commit=false">
</script>Tip: Using commit=false reduces the number of payment methods that are shown to your payer because not all funding sources can be used when modifying the order. When possible, determine the final amount before the payer approves the transaction, and avoid using PATCH.
Before you capture the money from the order, call the Orders API on your server with the ORDER-ID.
ACCESS-TOKEN to your access token.BN-CODE with your PayPal attribution ID to receive revenue attribution. To find your BN code, see Code and Credential Reference.AUTH-ASSERTION-JWT with your PayPal auth assertion token.You can pass in a different amount, invoice_id, and custom_id. See the following code sample:
curl -v -X PATCH https://api-m.sandbox.paypal.com/v2/checkout/orders/{ORDER-ID} \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer ACCESS-TOKEN' \
-H 'PayPal-Partner-Attribution-Id: BN-CODE' \
-H 'PayPal-Auth-Assertion: AUTH-ASSERTION-JWT' \
-d '{
"op": "add",
"path": "/purchase_units/@reference_id=='PUHF'/invoice_id",
"value": {
"integration_artifact": "INV-HighFashions"
}
}'